"""URLS to access upcoming events and the event archive."""
from django.urls import path
from django.views.generic import RedirectView
from . import views

urlpatterns = [
    path("", RedirectView.as_view(url='/events/upcoming/', permanent=True)),
    path('<int:year>/', views.EventArchiveYear.as_view(), name='event-archive'),
    path('<int:year>/<int:month>/', views.EventArchiveMonth.as_view(), name='event-archive'),
    path('<int:year>/<int:month>/<int:pk>/', views.EventDetail.as_view(), name='event-detail'),
    path('<int:year>/<int:month>/<int:pk>/add_dates/', views.EventSeriesForm.as_view(), name='eventseries-form'),
    path('<int:year>/<int:month>/<int:pk>/edit/', views.EventForm.as_view(), name='event-form'),
    path('add/', views.EventForm.as_view(), name='event-form'),
    path('archive/', views.EventArchiveIndex.as_view(), name='event-archive'),
    path('upcoming/', views.UpcomingEvents.as_view(), name='upcoming-events'),
]
